---
- name: Ensure config_path exists
  ansible.builtin.file:
    path: "{{ config_path }}"
    state: directory         
    mode: '0744'

- name: Restore from s3 backup
  include_tasks: restore.yml
  tags: [ never, restore ]

- name: Backup config_path to s3
  include_tasks: backup.yml
  tags: [ never, backup ]
  
- name: Deploy vaultwarden container
  include_tasks: deploy.yml
